aboutsummaryrefslogtreecommitdiffstats
path: root/packages/boa/files/boa.init
diff options
context:
space:
mode:
Diffstat (limited to 'packages/boa/files/boa.init')
-rw-r--r--packages/boa/files/boa.init57
1 files changed, 57 insertions, 0 deletions
diff --git a/packages/boa/files/boa.init b/packages/boa/files/boa.init
index e69de29bb2..9c05c5ada3 100644
--- a/packages/boa/files/boa.init
+++ b/packages/boa/files/boa.init
@@ -0,0 +1,57 @@
+#! /bin/sh
+#
+# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+# Modified for Debian GNU/Linux
+# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+# Modified for boa by Bill Allombert <ballombe@debian.org>.
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/boa
+NAME=boa
+DESC="HTTP server"
+LOGDIR="/var/log/$NAME"
+
+test -x $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: $NAME"
+ if [ ! -d $LOGDIR ]; then
+ mkdir -p $LOGDIR
+ fi
+ start-stop-daemon --start --quiet --exec $DAEMON
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: $NAME"
+ start-stop-daemon --stop --quiet --oknodo --exec $DAEMON
+ echo "."
+ ;;
+ restart)
+ echo -n "Restarting $DESC: $NAME"
+ start-stop-daemon --stop --signal HUP --quiet --oknodo --exec $DAEMON
+ echo "done."
+ ;;
+ reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ echo -n "Reloading $DESC configuration..."
+ start-stop-daemon --stop --signal 1 --quiet --oknodo --exec $DAEMON
+ echo "done."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0